Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Atk::Image Class Reference

An AtkImage C++ wrapper class. More...

`#include <inti/atk/image.h>`

Inheritance diagram for Inti::Atk::Image:

List of all members.

## Public Member Functions

Accessors

- AtkImage * atk_image () const
    Get a pointer to the AtkImage structure.
- AtkImageIface * atk_image_iface () const
    Get a pointer to the AtkImageIface structure.
- operator AtkImage * () const
    Conversion operator; safely converts an Image to an AtkImage pointer.
- String get_image_description () const
    Get a textual description of the image.
- void get_image_size (int *height, int *width) const
    Get the width and height in pixels for the specified image.
- void get_image_position (int *x, int *y, CoordType coord_type) const
    Gets the position of the image in the form of a point specifying the images top-left corner.

Methods

- bool set_image_description (const String &description)
    Sets the textual description for the image.

## Protected Member Functions

Constructors

- virtual ~Image ()=0
    Destructor.

## Detailed Description

An AtkImage C++ wrapper class.

Image should be implemented by Atk::Object subtypes on behalf of components which display image or pixmap information on-screen, and which provide information (other than just widget borders, etc.) via that image content. For instance, icons, buttons with icons, toolbar elements, and image viewing panes typically should implement Image.

Image primarily provides two types of information: coordinate information (useful for screen review mode of screen readers, and for use by on-screen magnifiers), and descriptive information. The descriptive information is provided for alternative, text-only presentation of the most significant information present in the image.

## Member Function Documentation

String Inti::Atk::Image::get_image_description | ( |  | ) | const

| Get a textual description of the image. Returns: A string representing the image description.

void Inti::Atk::Image::get_image_position | ( | int * | x,
|  | int * | y,
|  | CoordType | coord_type
| ) | const

  | Gets the position of the image in the form of a point specifying the images top-left corner. Parameters:
  x | The address of an int to put the x coordinate position, or null.
  y | The address of an int to put the y coordinate position, or null.
  coord_type | Specifies whether the coordinates are relative to the screen or to the components top level window.
The values of x and y are returned as -1 if the values cannot be obtained.

void Inti::Atk::Image::get_image_size | ( | int * | height,
|  | int * | width
| ) | const

  | Get the width and height in pixels for the specified image. Parameters:
  width | The address of an int filled with the image width, or null.
  height | The address of an int filled with the image height, or null.
The values of width and height are returned as -1 if the values cannot be obtained.

bool Inti::Atk::Image::set_image_description | ( | const String & | description | ) |

  | Sets the textual description for the image. Parameters:
  description | A string description to set for image.
Returns: true if the description is set, false otherwise.

The documentation for this class was generated from the following file:

- atk/image.h

Main Page - Footer